#include <iostream>
using namespace std;

#include "TKeyTest.h"

ClassImpQ(TKeyTest)

//------------------------------------------------------------------------
TKeyTest::TKeyTest()
{
  cout << endl << "in Constructor ..." << endl;

  fCanvas = 0;
  fInfo   = 0;

  fCanvas = new TCanvas("fCanvas", "my Canvas", 900, 10, 300, 600);

  fInfo = new TPaveText(0.1, 0.1, 0.3, 0.2, "rb");
  fInfo->AddText("none");
  fInfo->Draw();

  fCanvas->Show();
}

//------------------------------------------------------------------------
TKeyTest::~TKeyTest()
{
  if (fInfo) {
    delete fInfo;
  }
  if (fCanvas) {
    delete fCanvas;
  }
}

//------------------------------------------------------------------------
void TKeyTest::Done(Int_t status)
{
  Emit("Done(Int_t)", status);
}

//------------------------------------------------------------------------
void TKeyTest::PrintKey(Int_t key)
{
  cout << "key = " << key << ", " << (Char_t)key << endl;

  if (key == 'q')
    Done(0);

  TString str((Char_t)key);

  if (fInfo) {
    delete fInfo;
    fInfo = 0;
    fInfo = new TPaveText(0.1, 0.1, 0.3, 0.2, "rb");
    fInfo->AddText(str.Data());
    fInfo->Draw();
  }

  fCanvas->Update();
}
